import request from "@/api/apiConfig";

export function login(data) {
  return request({
    url: "/api/student/login",
    method: "post",
    data,
    noAuth: true,
    loading: true,
  });
}

//获取考生信息
export function getStuInfo() {
  return request({
    url: "/api/student/info",
    method: "post",
  });
}

//获取系统常用属性
export function getProperties() {
  return request({
    url: "/api/system/properties",
    method: "post",
    noAuth: true,
  });
}

//获取考生当前进行中的预约列表(首页)
export function getMyList() {
  return request({
    url: "/api/student/apply/list/for/current",
    method: "post",
  });
}

//获取预约考试页面的时段列表
export function getReservationList(data) {
  return request({
    url: "/api/student/apply/time/period/list",
    method: "post",
    data,
  });
}

//获取数据分类列表
export function getCategoryList() {
  return request({
    url: "/api/student/category/list",
    method: "post",
  });
}

//获取“数据分类”关联的考点列表
export function getSiteList() {
  return request({
    url: "/api/student/exam/site/list",
    method: "post",
  });
}

//获取可预约的日期列表
export function getDateList() {
  return request({
    url: "/api/student/apply/date/list",
    method: "post",
  });
}
