import { defineStore } from "pinia";
import { getStuInfo } from "@/api/user";

const useUserStore = defineStore("user", {
  persist: {
    storage: localStorage,
    paths: ["loginInfo", "stuInfo"],
  },
  state: () => ({ loginInfo: null, stuInfo: null }),
  actions: {
    setState(data) {
      this.$patch(data);
    },
    setLoginInfo(data) {
      this.loginInfo = data;
    },
    requestStuInfo() {
      getStuInfo().then((res) => {
        this.stuInfo = res;
      });
    },
    resetUser() {
      this.$reset();
    },
  },
});

export default useUserStore;
